#!/bin/sh

REGISTRY=code.balsillie.net
NAMESPACE=michael/containers
IMAGE=$1

TAG1=$(date +%Y-%m-%d_%H-%M-%S)
TAG2=latest

docker buildx build \
    --tag $REGISTRY/$NAMESPACE/$IMAGE:$TAG1 \
    --tag $REGISTRY/$NAMESPACE/$IMAGE:$TAG2 \
    --file ./$IMAGE/Dockerfile \
    --push \
    ./$IMAGE
