#!/bin/sh

# --- 2023 Old ---

# # Add ENV vars to postfix config
# # postconf -e -c /config myhostname=$HOSTNAME 

# /usr/sbin/postconf compatibility_level=3.6

# # Upgrade postfix config
# postfix -c /config upgrade-configuration

# # Config check
# postfix -c /config check

# # Start postfix
# /usr/sbin/postfix -vvvv -c /config start-fg

# --- 2024-12-18 ---

IP=$(curl https://ipv4.icanhazip.com)
/usr/sbin/postconf proxy_interfaces="$IP"
/usr/sbin/postconf ldap_bind_pw="$LDAP_BIND_PW"

# Start postfix
/usr/sbin/postfix -v -c /config start-fg